

"arguments provided to macro `nop'"


 kernel/timer.c |   13 ++++++++++---
 1 files changed, 10 insertions(+), 3 deletions(-)

diff -puN kernel/timer.c~time-interpolation-infrastructure-fix kernel/timer.c
--- 25/kernel/timer.c~time-interpolation-infrastructure-fix	2003-05-16 22:45:48.000000000 -0700
+++ 25-akpm/kernel/timer.c	2003-05-16 22:47:13.000000000 -0700
@@ -71,9 +71,16 @@ typedef struct tvec_t_base_s tvec_base_t
  * it is necessary to use an external source such as an RTC to obtain
  * precision in gettimeofday().
  */
-static void nop (void) { }
-void (*update_wall_time_hook)(long delta_nsec) = (void (*) (void)) &nop;
-void (*reset_wall_time_hook)(void) = &nop;
+static void update_wall_time_nop(long delta_nsec)
+{
+}
+
+static void reset_wall_time_nop(void)
+{
+}
+
+void (*update_wall_time_hook)(long delta_nsec) = update_wall_time_nop;
+void (*reset_wall_time_hook)(void) = reset_wall_time_nop;
 
 static inline void set_running_timer(tvec_base_t *base,
 					struct timer_list *timer)

_
